from pydantic import BaseModel
from typing import Union

class User(BaseModel):
    username: str
    token: Union[str, None] = None

class DataCenter(BaseModel):
    name: str

class Token(BaseModel):
    datacenter: str
    token: str